gi-cairo-1.0.30: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.TextCluster

Contents

- Exported types
- Methods
- Properties
  - numBytes
  - numGlyphs

Description

No description available in the introspection data.

Synopsis

- newtype TextCluster = TextCluster (ManagedPtr TextCluster)
- newZeroTextCluster :: MonadIO m => m TextCluster
- getTextClusterNumBytes :: MonadIO m => TextCluster -> m Int32
- setTextClusterNumBytes :: MonadIO m => TextCluster -> Int32 -> m ()
- getTextClusterNumGlyphs :: MonadIO m => TextCluster -> m Int32
- setTextClusterNumGlyphs :: MonadIO m => TextCluster -> Int32 -> m ()

# Exported types

newtype TextCluster Source #

Memory-managed wrapper type.

Constructors

TextCluster (ManagedPtr TextCluster) |

#### Instances

Instances details

Eq TextCluster Source # |
Instance details Defined in GI.Cairo.Structs.TextCluster Methods (==) :: TextCluster -> TextCluster -> Bool Source # (/=) :: TextCluster -> TextCluster -> Bool Source #
GBoxed TextCluster Source # |
Instance details Defined in GI.Cairo.Structs.TextCluster
ManagedPtrNewtype TextCluster Source # |
Instance details Defined in GI.Cairo.Structs.TextCluster Methods toManagedPtr :: TextCluster -> ManagedPtr TextCluster Source #
TypedObject TextCluster Source # |
Instance details Defined in GI.Cairo.Structs.TextCluster Methods glibType :: IO GType Source #
HasParentTypes TextCluster Source # |
Instance details Defined in GI.Cairo.Structs.TextCluster
tag ~ 'AttrSet => Constructible TextCluster tag Source # |
Instance details Defined in GI.Cairo.Structs.TextCluster Methods new :: MonadIO m => (ManagedPtr TextCluster -> TextCluster) -> [AttrOp TextCluster tag] -> m TextCluster Source #
IsGValue (Maybe TextCluster) Source # | Convert `TextCluster` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.TextCluster Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe TextCluster -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe TextCluster) Source #
type ParentTypes TextCluster Source # |
Instance details Defined in GI.Cairo.Structs.TextCluster type ParentTypes TextCluster = '[] :: [Type]

newZeroTextCluster :: MonadIO m => m TextCluster Source #

Construct a `TextCluster` struct initialized to zero.

# Methods

# Properties

## numBytes

No description available in the introspection data.

getTextClusterNumBytes :: MonadIO m => TextCluster -> m Int32 Source #

Get the value of the “`num_bytes`” field. When overloading is enabled, this is equivalent to

    get textCluster #numBytes

setTextClusterNumBytes :: MonadIO m => TextCluster -> Int32 -> m () Source #

Set the value of the “`num_bytes`” field. When overloading is enabled, this is equivalent to

    set textCluster [ #numBytes := value ]

## numGlyphs

No description available in the introspection data.

getTextClusterNumGlyphs :: MonadIO m => TextCluster -> m Int32 Source #

Get the value of the “`num_glyphs`” field. When overloading is enabled, this is equivalent to

    get textCluster #numGlyphs

setTextClusterNumGlyphs :: MonadIO m => TextCluster -> Int32 -> m () Source #

Set the value of the “`num_glyphs`” field. When overloading is enabled, this is equivalent to

    set textCluster [ #numGlyphs := value ]